com.genesyslab.wfm8.API.service.config810

## Class CfgUserHolder

- java.lang.Object
- - com.genesyslab.wfm8.API.service.config810.CfgUserHolder

- All Implemented Interfaces:
    java.io.Serializable

      public class CfgUserHolder
      extends java.lang.Object
      implements java.io.Serializable

  CfgUser Holder
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected java.util.List<CfgBUShort>` | `buInfo`
    `protected int` | `buInfoNSizeIs`
    `protected java.util.List<CfgUser>` | `objectArray`
    `protected int` | `objectArrayNSizeIs`
    `protected java.util.List<java.lang.Integer>` | `objectIDArray`
    `protected int` | `objectIDArrayNSizeIs`
    `protected java.util.List<CfgUserShort>` | `objectShortArray`
    `protected int` | `objectShortArrayNSizeIs`
    `private static long` | `serialVersionUID`
    `protected java.util.List<CfgSiteShort>` | `siteInfo`
    `protected int` | `siteInfoNSizeIs`
    `protected java.util.List<CfgSubsystem>` | `subsystemInfo`
    `protected int` | `subsystemInfoNSizeIs`
    `protected java.util.List<CfgTeamShort>` | `teamInfo`
    `protected int` | `teamInfoNSizeIs`
    `protected long` | `timestamp`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CfgUserHolder()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object that)`
    `java.util.List<CfgBUShort>` | `getBUInfo()` Gets the value of the buInfo property.
    `int` | `getBUInfoNSizeIs()` Gets the value of the buInfoNSizeIs property.
    `java.util.List<CfgUser>` | `getObjectArray()` Gets the value of the objectArray property.
    `int` | `getObjectArrayNSizeIs()` Gets the value of the objectArrayNSizeIs property.
    `java.util.List<java.lang.Integer>` | `getObjectIDArray()` Gets the value of the objectIDArray property.
    `int` | `getObjectIDArrayNSizeIs()` Gets the value of the objectIDArrayNSizeIs property.
    `java.util.List<CfgUserShort>` | `getObjectShortArray()` Gets the value of the objectShortArray property.
    `int` | `getObjectShortArrayNSizeIs()` Gets the value of the objectShortArrayNSizeIs property.
    `java.util.List<CfgSiteShort>` | `getSiteInfo()` Gets the value of the siteInfo property.
    `int` | `getSiteInfoNSizeIs()` Gets the value of the siteInfoNSizeIs property.
    `java.util.List<CfgSubsystem>` | `getSubsystemInfo()` Gets the value of the subsystemInfo property.
    `int` | `getSubsystemInfoNSizeIs()` Gets the value of the subsystemInfoNSizeIs property.
    `java.util.List<CfgTeamShort>` | `getTeamInfo()` Gets the value of the teamInfo property.
    `int` | `getTeamInfoNSizeIs()` Gets the value of the teamInfoNSizeIs property.
    `long` | `getTimestamp()` Gets the value of the timestamp property.
    `int` | `hashCode()`
    `void` | `setBUInfo(java.util.List<CfgBUShort> buInfo)` Sets the value of the buInfo property.
    `void` | `setBUInfoNSizeIs(int value)` Sets the value of the buInfoNSizeIs property.
    `void` | `setObjectArray(java.util.List<CfgUser> objectArray)` Sets the value of the objectArray property.
    `void` | `setObjectArrayNSizeIs(int value)` Sets the value of the objectArrayNSizeIs property.
    `void` | `setObjectIDArray(java.util.List<java.lang.Integer> objectIDArray)` Sets the value of the objectIDArray property.
    `void` | `setObjectIDArrayNSizeIs(int value)` Sets the value of the objectIDArrayNSizeIs property.
    `void` | `setObjectShortArray(java.util.List<CfgUserShort> objectShortArray)` Sets the value of the objectShortArray property.
    `void` | `setObjectShortArrayNSizeIs(int value)` Sets the value of the objectShortArrayNSizeIs property.
    `void` | `setSiteInfo(java.util.List<CfgSiteShort> siteInfo)` Sets the value of the siteInfo property.
    `void` | `setSiteInfoNSizeIs(int value)` Sets the value of the siteInfoNSizeIs property.
    `void` | `setSubsystemInfo(java.util.List<CfgSubsystem> subsystemInfo)` Sets the value of the subsystemInfo property.
    `void` | `setSubsystemInfoNSizeIs(int value)` Sets the value of the subsystemInfoNSizeIs property.
    `void` | `setTeamInfo(java.util.List<CfgTeamShort> teamInfo)` Sets the value of the teamInfo property.
    `void` | `setTeamInfoNSizeIs(int value)` Sets the value of the teamInfoNSizeIs property.
    `void` | `setTimestamp(long value)` Sets the value of the timestamp property.
    `java.lang.String` | `toString()`
    `CfgUserHolder` | `withBUInfo(CfgBUShort... values)`
    `CfgUserHolder` | `withBUInfo(java.util.Collection<CfgBUShort> values)`
    `CfgUserHolder` | `withBUInfoNSizeIs(int value)`
    `CfgUserHolder` | `withObjectArray(CfgUser... values)`
    `CfgUserHolder` | `withObjectArray(java.util.Collection<CfgUser> values)`
    `CfgUserHolder` | `withObjectArrayNSizeIs(int value)`
    `CfgUserHolder` | `withObjectIDArray(java.util.Collection<java.lang.Integer> values)`
    `CfgUserHolder` | `withObjectIDArray(java.lang.Integer... values)`
    `CfgUserHolder` | `withObjectIDArrayNSizeIs(int value)`
    `CfgUserHolder` | `withObjectShortArray(CfgUserShort... values)`
    `CfgUserHolder` | `withObjectShortArray(java.util.Collection<CfgUserShort> values)`
    `CfgUserHolder` | `withObjectShortArrayNSizeIs(int value)`
    `CfgUserHolder` | `withSiteInfo(CfgSiteShort... values)`
    `CfgUserHolder` | `withSiteInfo(java.util.Collection<CfgSiteShort> values)`
    `CfgUserHolder` | `withSiteInfoNSizeIs(int value)`
    `CfgUserHolder` | `withSubsystemInfo(CfgSubsystem... values)`
    `CfgUserHolder` | `withSubsystemInfo(java.util.Collection<CfgSubsystem> values)`
    `CfgUserHolder` | `withSubsystemInfoNSizeIs(int value)`
    `CfgUserHolder` | `withTeamInfo(CfgTeamShort... values)`
    `CfgUserHolder` | `withTeamInfo(java.util.Collection<CfgTeamShort> values)`
    `CfgUserHolder` | `withTeamInfoNSizeIs(int value)`
    `CfgUserHolder` | `withTimestamp(long value)`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### serialVersionUID

          private static final long serialVersionUID

      See Also:
        Constant Field Values

    - #### objectIDArrayNSizeIs

          protected int objectIDArrayNSizeIs

    - #### objectIDArray

          protected java.util.List<java.lang.Integer> objectIDArray

    - #### objectArrayNSizeIs

          protected int objectArrayNSizeIs

    - #### objectArray

          protected java.util.List<CfgUser> objectArray

    - #### objectShortArrayNSizeIs

          protected int objectShortArrayNSizeIs

    - #### objectShortArray

          protected java.util.List<CfgUserShort> objectShortArray

    - #### buInfoNSizeIs

          protected int buInfoNSizeIs

    - #### buInfo

          protected java.util.List<CfgBUShort> buInfo

    - #### siteInfoNSizeIs

          protected int siteInfoNSizeIs

    - #### siteInfo

          protected java.util.List<CfgSiteShort> siteInfo

    - #### teamInfoNSizeIs

          protected int teamInfoNSizeIs

    - #### teamInfo

          protected java.util.List<CfgTeamShort> teamInfo

    - #### subsystemInfoNSizeIs

          protected int subsystemInfoNSizeIs

    - #### subsystemInfo

          protected java.util.List<CfgSubsystem> subsystemInfo

    - #### timestamp

          protected long timestamp

  - ### Constructor Detail

    - #### CfgUserHolder

          public CfgUserHolder()

  - ### Method Detail

    - #### getObjectIDArrayNSizeIs

          public int getObjectIDArrayNSizeIs()

      Gets the value of the objectIDArrayNSizeIs property.

    - #### setObjectIDArrayNSizeIs

          public void setObjectIDArrayNSizeIs(int value)

      Sets the value of the objectIDArrayNSizeIs property.

    - #### getObjectIDArray

          public java.util.List<java.lang.Integer> getObjectIDArray()

      Gets the value of the objectIDArray property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the objectIDArray property.

      For example, to add a new item, do as follows:

              getObjectIDArray().add(newItem);

      Objects of the following type(s) are allowed in the list `Integer`

    - #### getObjectArrayNSizeIs

          public int getObjectArrayNSizeIs()

      Gets the value of the objectArrayNSizeIs property.

    - #### setObjectArrayNSizeIs

          public void setObjectArrayNSizeIs(int value)

      Sets the value of the objectArrayNSizeIs property.

    - #### getObjectArray

          public java.util.List<CfgUser> getObjectArray()

      Gets the value of the objectArray property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the objectArray property.

      For example, to add a new item, do as follows:

              getObjectArray().add(newItem);

      Objects of the following type(s) are allowed in the list `CfgUser`

    - #### getObjectShortArrayNSizeIs

          public int getObjectShortArrayNSizeIs()

      Gets the value of the objectShortArrayNSizeIs property.

    - #### setObjectShortArrayNSizeIs

          public void setObjectShortArrayNSizeIs(int value)

      Sets the value of the objectShortArrayNSizeIs property.

    - #### getObjectShortArray

          public java.util.List<CfgUserShort> getObjectShortArray()

      Gets the value of the objectShortArray property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the objectShortArray property.

      For example, to add a new item, do as follows:

              getObjectShortArray().add(newItem);

      Objects of the following type(s) are allowed in the list `CfgUserShort`

    - #### getBUInfoNSizeIs

          public int getBUInfoNSizeIs()

      Gets the value of the buInfoNSizeIs property.

    - #### setBUInfoNSizeIs

          public void setBUInfoNSizeIs(int value)

      Sets the value of the buInfoNSizeIs property.

    - #### getBUInfo

          public java.util.List<CfgBUShort> getBUInfo()

      Gets the value of the buInfo property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the buInfo property.

      For example, to add a new item, do as follows:

              getBUInfo().add(newItem);

      Objects of the following type(s) are allowed in the list `CfgBUShort`

    - #### getSiteInfoNSizeIs

          public int getSiteInfoNSizeIs()

      Gets the value of the siteInfoNSizeIs property.

    - #### setSiteInfoNSizeIs

          public void setSiteInfoNSizeIs(int value)

      Sets the value of the siteInfoNSizeIs property.

    - #### getSiteInfo

          public java.util.List<CfgSiteShort> getSiteInfo()

      Gets the value of the siteInfo property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the siteInfo property.

      For example, to add a new item, do as follows:

              getSiteInfo().add(newItem);

      Objects of the following type(s) are allowed in the list `CfgSiteShort`

    - #### getTeamInfoNSizeIs

          public int getTeamInfoNSizeIs()

      Gets the value of the teamInfoNSizeIs property.

    - #### setTeamInfoNSizeIs

          public void setTeamInfoNSizeIs(int value)

      Sets the value of the teamInfoNSizeIs property.

    - #### getTeamInfo

          public java.util.List<CfgTeamShort> getTeamInfo()

      Gets the value of the teamInfo property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the teamInfo property.

      For example, to add a new item, do as follows:

              getTeamInfo().add(newItem);

      Objects of the following type(s) are allowed in the list `CfgTeamShort`

    - #### getSubsystemInfoNSizeIs

          public int getSubsystemInfoNSizeIs()

      Gets the value of the subsystemInfoNSizeIs property.

    - #### setSubsystemInfoNSizeIs

          public void setSubsystemInfoNSizeIs(int value)

      Sets the value of the subsystemInfoNSizeIs property.

    - #### getSubsystemInfo

          public java.util.List<CfgSubsystem> getSubsystemInfo()

      Gets the value of the subsystemInfo property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the subsystemInfo property.

      For example, to add a new item, do as follows:

              getSubsystemInfo().add(newItem);

      Objects of the following type(s) are allowed in the list `CfgSubsystem`

    - #### getTimestamp

          public long getTimestamp()

      Gets the value of the timestamp property.

    - #### setTimestamp

          public void setTimestamp(long value)

      Sets the value of the timestamp property.

    - #### withObjectIDArrayNSizeIs

          public CfgUserHolder withObjectIDArrayNSizeIs(int value)

    - #### withObjectIDArray

          public CfgUserHolder withObjectIDArray(java.lang.Integer... values)

    - #### withObjectIDArray

          public CfgUserHolder withObjectIDArray(java.util.Collection<java.lang.Integer> values)

    - #### withObjectArrayNSizeIs

          public CfgUserHolder withObjectArrayNSizeIs(int value)

    - #### withObjectArray

          public CfgUserHolder withObjectArray(CfgUser... values)

    - #### withObjectArray

          public CfgUserHolder withObjectArray(java.util.Collection<CfgUser> values)

    - #### withObjectShortArrayNSizeIs

          public CfgUserHolder withObjectShortArrayNSizeIs(int value)

    - #### withObjectShortArray

          public CfgUserHolder withObjectShortArray(CfgUserShort... values)

    - #### withObjectShortArray

          public CfgUserHolder withObjectShortArray(java.util.Collection<CfgUserShort> values)

    - #### withBUInfoNSizeIs

          public CfgUserHolder withBUInfoNSizeIs(int value)

    - #### withBUInfo

          public CfgUserHolder withBUInfo(CfgBUShort... values)

    - #### withBUInfo

          public CfgUserHolder withBUInfo(java.util.Collection<CfgBUShort> values)

    - #### withSiteInfoNSizeIs

          public CfgUserHolder withSiteInfoNSizeIs(int value)

    - #### withSiteInfo

          public CfgUserHolder withSiteInfo(CfgSiteShort... values)

    - #### withSiteInfo

          public CfgUserHolder withSiteInfo(java.util.Collection<CfgSiteShort> values)

    - #### withTeamInfoNSizeIs

          public CfgUserHolder withTeamInfoNSizeIs(int value)

    - #### withTeamInfo

          public CfgUserHolder withTeamInfo(CfgTeamShort... values)

    - #### withTeamInfo

          public CfgUserHolder withTeamInfo(java.util.Collection<CfgTeamShort> values)

    - #### withSubsystemInfoNSizeIs

          public CfgUserHolder withSubsystemInfoNSizeIs(int value)

    - #### withSubsystemInfo

          public CfgUserHolder withSubsystemInfo(CfgSubsystem... values)

    - #### withSubsystemInfo

          public CfgUserHolder withSubsystemInfo(java.util.Collection<CfgSubsystem> values)

    - #### withTimestamp

          public CfgUserHolder withTimestamp(long value)

    - #### setObjectIDArray

          public void setObjectIDArray(java.util.List<java.lang.Integer> objectIDArray)

      Sets the value of the objectIDArray property.
      Parameters:
        `objectIDArray` - allowed object is `Integer`

    - #### setObjectArray

          public void setObjectArray(java.util.List<CfgUser> objectArray)

      Sets the value of the objectArray property.
      Parameters:
        `objectArray` - allowed object is `CfgUser`

    - #### setObjectShortArray

          public void setObjectShortArray(java.util.List<CfgUserShort> objectShortArray)

      Sets the value of the objectShortArray property.
      Parameters:
        `objectShortArray` - allowed object is `CfgUserShort`

    - #### setBUInfo

          public void setBUInfo(java.util.List<CfgBUShort> buInfo)

      Sets the value of the buInfo property.
      Parameters:
        `buInfo` - allowed object is `CfgBUShort`

    - #### setSiteInfo

          public void setSiteInfo(java.util.List<CfgSiteShort> siteInfo)

      Sets the value of the siteInfo property.
      Parameters:
        `siteInfo` - allowed object is `CfgSiteShort`

    - #### setTeamInfo

          public void setTeamInfo(java.util.List<CfgTeamShort> teamInfo)

      Sets the value of the teamInfo property.
      Parameters:
        `teamInfo` - allowed object is `CfgTeamShort`

    - #### setSubsystemInfo

          public void setSubsystemInfo(java.util.List<CfgSubsystem> subsystemInfo)

      Sets the value of the subsystemInfo property.
      Parameters:
        `subsystemInfo` - allowed object is `CfgSubsystem`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### equals

          public boolean equals(java.lang.Object that)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

Copyright © 2005-2016 Genesys Telecommunications Labs, Inc. All Rights Reserved.